> ## Name

> cgGetPassTechnique - get a pass's technique

> ## Synopsis

>     #include <Cg/cg.h>

>     CGtechnique cgGetPassTechnique( CGpass pass );

> ## Parameters

> pass
>   The pass.

> ## Return Values

> Returns a CGtechnique handle to the technique.

> Returns NULL if an error occurs.

> ## Description

> cgGetPassTechnique allows the application to retrieve a handle to the technique to which a given pass belongs.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PASS_HANDLE_ERROR is generated if pass is not a valid pass.

> ## History

> cgGetPassTechnique was introduced in Cg 1.4.

> ## See Also

> cgIsTechnique, cgGetNextTechnique, cgIsPass